Package org.linphone.core

# Interface ChatRoomParams

public interface ChatRoomParams
Object defining parameters for a `ChatRoom`.
Can be created with `Core.createDefaultChatRoomParams()`. You can use
`isValid()` to check if your configuration is valid or not.
If the `ChatRoom` backend is
invalid @link

    {@link ChatRoom#Backend#Basic

}, then no
other parameter is required, but `ChatMessage` sent and received won't
benefit from all features a
invalid @link

    {@link ChatRoom#Backend#FlexisipChat

} can offer
like conversation with multiple participants and a subject, end-to-end
encryption, ephemeral messages, etc... but this type is the only one that can
interoperate with other SIP clients or with non-flexisip SIP proxies.

## Method Summary

Modifier and Type
Method
Description
`ChatRoom.Backend`
`getBackend()`
Deprecated.
20/05/2024.
`ChatRoom.EncryptionBackend`
`getEncryptionBackend()`
Deprecated.
20/05/2024.
`long`
`getEphemeralLifetime()`
Deprecated.
20/05/2024.
`ChatRoom.EphemeralMode`
`getEphemeralMode()`
Deprecated.
20/05/2024.
`long`
`getNativePointer()`
Gets the native pointer used by this class to make native method calls.
`String`
`getSubject()`
Deprecated.
20/05/2024.
`Object`
`getUserData()`
Gets the object stored in this object user's data
`boolean`
`isEncryptionEnabled()`
Deprecated.
20/05/2024.
`boolean`
`isGroupEnabled()`
Deprecated.
20/05/2024.
`boolean`
`isRttEnabled()`
Deprecated.
20/05/2024.
`boolean`
`isValid()`
Deprecated.
20/05/2024.
`void`
`setBackend(ChatRoom.Backend backend)`
Deprecated.
20/05/2024.
`void`
`setEncryptionBackend(ChatRoom.EncryptionBackend backend)`
Deprecated.
20/05/2024.
`void`
`setEncryptionEnabled(boolean encrypted)`
Deprecated.
20/05/2024.
`void`
`setEphemeralLifetime(long time)`
Deprecated.
20/05/2024.
`void`
`setEphemeralMode(ChatRoom.EphemeralMode mode)`
Deprecated.
20/05/2024.
`void`
`setGroupEnabled(boolean group)`
Deprecated.
20/05/2024.
`void`
`setRttEnabled(boolean rtt)`
Deprecated.
20/05/2024.
`void`
`setSubject(String subject)`
Deprecated.
20/05/2024.
`void`
`setUserData(Object data)`
Sets the object to store in this object user's data
`String`
`toString()`

## Method Details

### getBackend

@Deprecated ChatRoom.Backend getBackend()
Deprecated.
20/05/2024. Use `ChatParams.getBackend()` instead.
Get the backend implementation of the chat room associated with the given
parameters.

Returns:
  the
  invalid reference

      ChatRoom#Backend

### setBackend

@Deprecated void setBackend(ChatRoom.Backend backend)
Deprecated.
20/05/2024. Use `ChatParams.setBackend(org.linphone.core.ChatRoom.Backend)` instead.
Set the backend implementation of these chat room parameters.

Parameters:
  `backend` - The
  invalid reference

      ChatRoom#Backend

  enum value

### getEncryptionBackend

@Deprecated ChatRoom.EncryptionBackend getEncryptionBackend()
Deprecated.
20/05/2024. Use `ChatParams.getEncryptionBackend()` instead.
Get the encryption implementation of the chat room associated with the given
parameters.

Returns:
  the
  invalid reference

      ChatRoom#EncryptionBackend

### setEncryptionBackend

@Deprecated void setEncryptionBackend(ChatRoom.EncryptionBackend backend)
Deprecated.
20/05/2024. Use `ChatParams.setEncryptionBackend(org.linphone.core.ChatRoom.EncryptionBackend)` instead.
Set the encryption backend implementation of these chat room parameters.

Parameters:
  `backend` - The
  invalid reference

      ChatRoom#EncryptionBackend

  enum value

### isEncryptionEnabled

@Deprecated boolean isEncryptionEnabled()
Deprecated.
20/05/2024. Use
invalid reference

    ChatParams#encryptionEnabled

instead.
Get the encryption status of the chat room associated with the given
parameters.

Returns:
  true if encryption is enabled, false otherwise

### setEncryptionEnabled

@Deprecated void setEncryptionEnabled(boolean encrypted)
Deprecated.
20/05/2024. Use linphone_conference_params_enable_encryption()
instead.
Enables or disables encryption for the chat room associated with the given
parameters.

Parameters:
  `encrypted` - true to enable encryption, false to disable.

### getEphemeralLifetime

@Deprecated long getEphemeralLifetime()
Deprecated.
20/05/2024. Use `ChatParams.getEphemeralLifetime()` instead.
Get lifetime (in seconds) for all new ephemeral messages in the chat room.
After the message is read, it will be deleted after "time" seconds. see:
linphone_chat_room_params_ephemeral_enabled()

Returns:
  the ephemeral lifetime (in seconds)

### setEphemeralLifetime

@Deprecated void setEphemeralLifetime(long time)
Deprecated.
20/05/2024. Use `ChatParams.activateEphemeral(int)` instead.
Set lifetime (in seconds) for all new ephemeral messages in the chat room.
After the message is read, it will be deleted after "time" seconds. see:
linphone_chat_room_params_ephemeral_enabled()

Parameters:
  `time` - The ephemeral lifetime, default is disabled (0)

### getEphemeralMode

@Deprecated ChatRoom.EphemeralMode getEphemeralMode()
Deprecated.
20/05/2024. Use `ChatParams.getEphemeralMode()` instead.
Get the ephemeral message mode of the chat room associated with the given
parameters.

Returns:
  the ephemeral message mode
  invalid reference

      ChatRoom#EphemeralMode

### setEphemeralMode

@Deprecated void setEphemeralMode(ChatRoom.EphemeralMode mode)
Deprecated.
20/05/2024. Use `ChatParams.setEphemeralMode(org.linphone.core.ChatRoom.EphemeralMode)` instead.
Enables or disables forcing of ephemeral messages for the chat room associated
with the given parameters.

Parameters:
  `mode` - Ephemeral message mode
  invalid reference

      ChatRoom#EphemeralMode

  .

### isGroupEnabled

@Deprecated boolean isGroupEnabled()
Deprecated.
20/05/2024. Use
invalid reference

    ConferenceParams#groupEnabled

instead.
Get the group chat status of the chat room associated with the given
parameters.

Returns:
  true if group chat is enabled, false if one-to-one

### setGroupEnabled

@Deprecated void setGroupEnabled(boolean group)
Deprecated.
20/05/2024. Use
invalid reference

    ConferenceParams#enableGroup

instead.
Enables or disables group chat for the chat room associated with the given
parameters.

Parameters:
  `group` - true to enable group chat, false to disable (resulting in
  one-to-one chat room)

### isValid

@Deprecated boolean isValid()
Deprecated.
20/05/2024. Use `ConferenceParams.isValid()` instead.
Returns whether the given parameters are valid or not.

Returns:
  true if the given parameters are valid, false otherwise

### isRttEnabled

@Deprecated boolean isRttEnabled()
Deprecated.
20/05/2024. Use
invalid reference

    ChatParams#rttEnabled

instead.
Get the real time text status of the chat room associated with the given
parameters.

Returns:
  true if real time text is enabled, false otherwise

### setRttEnabled

@Deprecated void setRttEnabled(boolean rtt)
Deprecated.
20/05/2024. Use
invalid reference

    ChatParams#enableRtt

instead.
Enables or disables real time text for the chat room associated with the given
parameters.

Parameters:
  `rtt` - true to enable real time text, false to disable.

### getSubject

@Deprecated String getSubject()
Deprecated.
20/05/2024. Use `ConferenceParams.getSubject()` instead.
Get the subject of the chat room.

Returns:
  The subject.

### setSubject

@Deprecated void setSubject(String subject)
Deprecated.
20/05/2024. Use `ConferenceParams.setSubject(java.lang.String)` instead.
Set the subject of the chat room.

Parameters:
  `subject` - The subject to set.

### setUserData

void setUserData(Object data)
Sets the object to store in this object user's data

Parameters:
  `data` - the object to store

### getUserData

Object getUserData()
Gets the object stored in this object user's data

Returns:
  the object store if any, null otherwise

### getNativePointer

long getNativePointer()
Gets the native pointer used by this class to make native method calls.

Returns:
  the nativer pointer, as long

### toString

String toString()

Overrides:
  `toString` in class `Object`